Show / Hide Table of Contents

# Class OpenIddictValidationHandlers.Discovery.ExtractIntrospectionEndpoint

Contains the logic responsible of extracting the introspection endpoint address from the discovery document.

##### Inheritance

System.Object
OpenIddictValidationHandlers.Discovery.ExtractIntrospectionEndpoint

##### Implements

IOpenIddictValidationHandler<HandleConfigurationResponseContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ExtractIntrospectionEndpoint : IOpenIddictValidationHandler<HandleConfigurationResponseContext>

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictValidationHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationHandlerDescriptor |

### Methods

#### HandleAsync(HandleConfigurationResponseContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(HandleConfigurationResponseContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HandleConfigurationResponseContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictValidationHandler<TContext>